Иконка ресурса

Lasermines 1.5.5

Нет прав для скачивания

FrozDark

Команда сайта HLMod
Сообщения
1,789
Реакции
2,026
Пользователь FrozDark разместил новый ресурс:

Lasermines - Настенные лазерные мины

Добавляет в игру лазерные мины

Для скриптеров:
PHP:
/**
/**
 * Adds one or more remaining laser mines to the player
 *
 * @param client     Client index to add to
 * @param amount    Amount of laser mines to add.
 * @param uselimit  Set to true to use the plugin limitation, false to ignore
 * @return            New amount of laser mines. 0 if no lasermines added and -1 if the player has unlimited lasermines
 */
native LM_AddClientLasermines(client, amount = 1, bool:uselimit...
Узнать больше об этом ресурсе...
 

FrozDark

Команда сайта HLMod
Сообщения
1,789
Реакции
2,026

FrozDark

Команда сайта HLMod
Сообщения
1,789
Реакции
2,026
Сообщения
685
Реакции
53
Подскажи что за ошибка и как избавится(Counter-Strike Source -старушка):
[SM] Unable to load plugin "lasermines.smx": Native "GetEngineVersion" was not found
И при компиляции вывыдало вот это :
/home/groups/sourcemod/upload_tmp/phpvoMEDY.sp(51) : warning 234: symbol "GuessSDKVersion" is marked as deprecated: See GetEngineVersion()
Помогите решить проблему.
 
Последнее редактирование:

FrozDark

Команда сайта HLMod
Сообщения
1,789
Реакции
2,026
Подскажи что за ошибка и как избавится(Counter-Strike Source -старушка):
[SM] Unable to load plugin "lasermines.smx": Native "GetEngineVersion" was not found
И при компиляции вывыдало вот это :
/home/groups/sourcemod/upload_tmp/phpvoMEDY.sp(51) : warning 234: symbol "GuessSDKVersion" is marked as deprecated: See GetEngineVersion()
Помогите решить проблему.
для этого я и обновил плагин до 1.5.4
Обнови свой плагин
 
Сообщения
685
Реакции
53
Я и качал 1.5.4 это вот на ней у меня ошибки
 

FrozDark

Команда сайта HLMod
Сообщения
1,789
Реакции
2,026
Пользователь FrozDark обновил ресурс Lasermines новой записью:

Добавлен MarkNativeAsOptional для функции GetEngineVersion

Добавлен MarkNativeAsOptional для функции GetEngineVersion из-за чего не запускался плагин на CS:S v34
Узнать больше об этом обновлении...
--- Добавлено позже ---
Я и качал 1.5.4 это вот на ней у меня ошибки
Обновляй
 
Сообщения
685
Реакции
53
Хз может это у меня только так при компиляции выдаёт :
/home/groups/sourcemod/upload_tmp/php2KzIXX.sp(51) : warning 234: symbol "GuessSDKVersion" is marked as deprecated: See GetEngineVersion()
 

FrozDark

Команда сайта HLMod
Сообщения
1,789
Реакции
2,026
Хз может это у меня только так при компиляции выдаёт :
/home/groups/sourcemod/upload_tmp/php2KzIXX.sp(51) : warning 234: symbol "GuessSDKVersion" is marked as deprecated: See GetEngineVersion()
Не переживай, это у всех так будет у кого Sourcemod версии 1.5.0 и выше. Ни на что не влияет, просто предупреждение что есть функция по новее.
 
Сообщения
685
Реакции
53
Не пойму.Скомпелировал. закинул на сервер и при запуске эррор
L 03/23/2016 - 09:53:17: [SM] Unable to load plugin "lasermines.smx": Native "__FLOAT_GT__" was not found
 

FrozDark

Команда сайта HLMod
Сообщения
1,789
Реакции
2,026
Не пойму.Скомпелировал. закинул на сервер и при запуске эррор
L 03/23/2016 - 09:53:17: [SM] Unable to load plugin "lasermines.smx": Native "__FLOAT_GT__" was not found
Скомпилировал на новом Sourcemod, а сервер работает на более старом Sourcemod
 
Сообщения
685
Реакции
53
А можеш как то подправить под старый Sourcemod если это не сложно.Буду благодарен.
 
Сообщения
18
Реакции
0

FrozDark

Команда сайта HLMod
Сообщения
1,789
Реакции
2,026
у меня на этой модели одна большая еррор, хотя указал путь и все скачалось. Путь указал до файла mdl, и почему то видно только нормально лазер
путь должен быть вроде такой
models/lasermine/lasermine.mdl
а в donwloads указать до папки models/lasermine
 
Сверху